
Redmine - Feature #5239

privilege to assign an issue

2010-04-02 17:37 - Bart Stuyckens

Status: Closed Start date: 2010-04-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

we would like to see an privilege like "Assign issues".

If a user has this permission, he can assign an issue.  If not, the "Assigned to" dropdownlist is not displayed when creating a new

issue or when updating an issue.

The background reason is that we would like to use redmine as a helpdesk portal.  The customer filing an new issue should not

assign the issue to one of the developers.  It is the task of the support team / developers to assign issues.

Note: in your guide SubmittingBugs you make the same comment.

Related issues:

Is duplicate of Redmine - Feature #3521: Permissions for roles to change fiel... Closed 2009-06-22

History

#1 - 2010-04-02 17:43 - Bart Stuyckens

it is a feature request, but I can't change the tracker.

#2 - 2010-04-03 01:50 - Felix Schäfer

- Tracker changed from Defect to Feature

#3 - 2010-04-03 20:35 - minkbear minkbear

+1

very agree with this feature but...

try to take a look at link below.

http://www.redmine.org/issues/5032

http://www.redmine.org/issues/4670

http://www.redmine.org/issues/703

http://www.redmine.org/issues/1091

http://www.redmine.org/issues/4927

http://www.redmine.org/issues/4684

http://www.redmine.org/issues/4309

http://www.redmine.org/issues/3090

#4 - 2010-04-24 16:45 - Oleg Volkov

Maybe to hide the field "assigned to" for not_member?

#5 - 2010-04-26 10:35 - Bart Stuyckens

thanks for the reply.

in our case that would not help since we only work with non-public projects.

The setup is as follows:

- we have small number of customers for our product

- each customer has a highlevel of customization.  that's why we don't disclose everything to all customers.

- for each customer we have a <customer>-support project

- the customer has a login for the customer support prject

#6 - 2010-04-26 15:11 - Oleg Volkov
See #337 (for all-support project).

#7 - 2010-05-02 21:42 - Oleg Volkov

See #2653

#8 - 2010-05-03 12:17 - Bart Stuyckens

that's interesting.

If I understand correctly, a user will only be able to see the issues he created.

I suppose that file, documentation, forum tabs are still shared between all members of a project ?

This is not solving the problem, but a very useful feature.

To apply a patch, I guess I have to checkout the source ?  Where can I find documentation to do this ?

#9 - 2010-05-03 13:54 - Oleg Volkov

Bart Stuyckens wrote:

that's interesting.

If I understand correctly, a user will only be able to see the issues he created.

 User with "Add issue" view only own issue (created, assigned, watchers).

I suppose that file, documentation, forum tabs are still shared between all members of a project ?

 Yes, see roles.

This is not solving the problem, but a very useful feature.

 Simple patch, hide assined_to from form (for non_member users):

diff -ur redmine-0.9.3/app/views/issues/_attributes.rhtml redmine_backup2/app/views/issues/_attributes.rhtml

--- redmine-0.9.3/app/views/issues/_attributes.rhtml    2010-02-28 13:28:06.000000000 +0300

+++ redmine_backup2/app/views/issues/_attributes.rhtml  2010-04-24 18:41:56.170843570 +0400

@@ -8,7 +8,9 @@

 <% end %>

 <p><%= f.select :priority_id, (@priorities.collect {|p| [p.name, p.id]}), :required => true %></p>

+<% if !@issue.new_statuses_allowed_to(User.current).empty? %>

 <p><%= f.select :assigned_to_id, (@issue.assignable_users.collect {|m| [m.name, m.id]}), :include_blank => tr

ue %></p>

+<% end %>

 <% unless @project.issue_categories.empty? %>

 <p><%= f.select :category_id, (@project.issue_categories.collect {|c| [c.name, c.id]}), :include_blank => tru

e %>

 <%= prompt_to_remote(image_tag('add.png', :style => 'vertical-align: middle;'),

@@ -30,6 +32,7 @@

 <% end %>

 </div>

+<% if !@issue.new_statuses_allowed_to(User.current).empty? %>

 <div class="splitcontentright">

 <p><%= f.text_field :start_date, :size => 10 %><%= calendar_for('issue_start_date') %></p>

 <p><%= f.text_field :due_date, :size => 10 %><%= calendar_for('issue_due_date') %></p>

@@ -38,6 +41,7 @@

 <p><%= f.select :done_ratio, ((0..10).to_a.collect {|r| ["#{r*10} %", r*10] }) %></p>

 <% end %>

 </div>

+<% end %>

 <div style="clear:both;"> </div>

 <%= render :partial => 'form_custom_fields' %>

 To apply a patch, I guess I have to checkout the source ?  Where can I find documentation to do this ?

 cd /path/to/redmine
patch -p 1 </patch/to/redmine_own_v.1.patch

And restart web server.

#10 - 2010-05-04 22:27 - Sergey Belov

In my opinion we need to develop a system to manage permission to any field in the issue form/edit issue and even for custom created fields.

This will be more complex

#11 - 2010-05-05 11:38 - Bart Stuyckens

That's the ultimate goal.

But if it means that a solution can only be delivered in the (very) long term, I'd prefer a quick and dirty solution for now.

#12 - 2010-05-18 19:37 - Chris Haverman

+1

I'd like to be able to manage permissions on any field in the new issue form as well.

#13 - 2010-10-08 07:56 - Markus Korber

+1

#14 - 2018-04-02 08:52 - Go MAEDA

- Is duplicate of Feature #3521: Permissions for roles to change fields per tracker/status added

#15 - 2018-04-02 08:55 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Since Redmine 2.1.0, you can make the "Assignee" field read-only on the workflow page. Please check "Fields permissions" tab on "Workflow" page.
